<!DOCTYPE html>
<!--
#  Copyright 2001-2024 Leslie Richardson

#  This file is part of Open Admin for Schools.
-->

<html><head>
<title>Open Admin - <#Export#> / <#Data Transfers#></title>
<link rel="stylesheet" href="admin.css" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<style type="text/css">
  form, input, button, select { padding:0.1em; margin:0.2em 0;font-size:100%; }
</style>
</head><body>

<ul class="nav" style="border-top:1px solid black; margin: 0.5em; 
 position: fixed; top:0; bottom:auto;">
<li><a href="index.shtml"><#Main#></a></li>
<li><a href="attendance.html"><#Attendance#></a></li>
<li><a href="discipline.html"><#Discipline#></a></li>
<li><a href="fees.html"><#Fees#></a></li>
<li><a href="repcard.html"><#Report Cards#></a></li>
<li><a href="timetable.html"><#Timetable#></a></li>
<li class="active"><a href="export.html" class="active"><#Export/Xfer#></a></li>
<li><a href="eoy.html"><#Start/End of Year#></a></li>
<li><a href="ssp.html"><#SSP#></a></li>
</ul>
<div style="height:24px;"></div>

<table cellspacing="0" cellpadding="4" border="0">
<tr><td valign="top">
<!--  ======= Left Column == Export =====  -->

<table cellpadding="0" cellspacing="0" border="0">
<tr><td><img src="images/logotn.gif" alt="logo"></td>
<td><hr><h1 style="padding:0;margin:0;"><#Exports/Data Transfers#></h1><hr></td>
</tr></table>


<h2>My School Sask / Aspen</h2>

<div class="fmt">
<form action="/cgi-bin/mss/mssStudentView.pl" method="post" style="display:inline;">
  <input type="submit" value="View MSS Student Records"></form>

<form action="/cgi-bin/mss/mssCheckDemog.pl" method="post" style="display:inline;">
<input type="submit" value="Check MSS vs OA Student Records"></form>
<br>


<form action="/cgi-bin/mss/mssTranscriptView.pl" method="post" style="display:inline;">
  <input type="submit" value="View MSS Transcript Records"></form>
<form action="/cgi-bin/sasked/checkMarksMss.pl" method="post" style="display:inline;">
  <input type="submit" value="Check Marks against SDS/MSS (Curr/Prev Years)"></form>

<!-- <br>

<form action="/cgi-bin/mss/mssCourseView.pl" method="post" style="display:inline;">
  <input type="submit" value="View MSS Course Records"></form>

<form action="/cgi-bin/mss/mssCheckCourses.pl" method="post" style="display:inline;">
  <input type="submit" value="Check MSS vs OA Course Enrollments"></form>
-->
<br>

<a href="https://www.k12.gov.sk.ca/sdsprod/index.jsp"
class="button" style="background-color:#6A6;" target="_blank"
   title = "This will run as a new tab. Use this to copy provincial
	    numbers, names, run reports, etc. on the SDS side.">SDS Web Site</a>

</div>


<h2><#Student Picture Management#></h2>

<div class="fmt">
<form action="/cgi-bin/image/imageadd.pl" method="post" 
 enctype="multipart/form-data" style="margin:0.2em;">
<input type="submit" value="<#Upload Pictures (jpg,zip,tgz)#>">
<input type="file" name="filename">
</form>

<span style="font-weight:bold;">Student Pictures -</span>
<form action="/cgi-bin/image/imageview.pl" method="post" style="margin:0.4em;display:inline;">
<input type="submit" value="<#ALL#>"></form>

<form action="/cgi-bin/image/rptpicstudent.pl" method="post" style="margin:0.4em;display:inline;">
<input type="submit" value="<#PDF#>"></form>

<form action="/cgi-bin/image/studpicview.pl" method="post" style="margin:0.4em;display:inline;">
  <input type="submit" value="<#Sorted#>"></form>

<br>
<form action="/cgi-bin/image/associate.pl" method="post" style="margin:0.4em;display:inline;">
<input type="submit" value="<#Link Students / Pictures#>"></form>

<form action="/cgi-bin/image/missingpic.pl" method="post" style="margin:0.4em;display:inline;">
  <input type="submit" value="<#Students without Pictures#>"></form>

</div>


</td><td valign="top">
<!-- ====== Right Column == Export ======  -->

<h2><#Student Export#></h2>

<div class="fmt">
<form action="/cgi-bin/export/expstudent.pl" method="post" style="display:inline;">
  <input type="submit" title = "<#Select fields and sort order#>"
	 value="<#Export Student Information#>"></form>

<form action="/cgi-bin/export/expcustom.pl" method="post" style="display:inline;">
<input type="submit" value = "<#Custom Export - Any Table#>"></form><br>

<form action="/cgi-bin/export/exprepcard.pl" method="post" style="display:inline;">
  <input type="submit"
	 title="Student Name, Grade, Teacher Sort by Grade, Homeroom, Lastname, Firstname"
	 value="<#Export Report Card Labels#>"></form>

<form action="/cgi-bin/export/expcumfldr.pl" method="post" style="display:inline;">
  <input type="submit" value="<#Export Cume Folder Labels#>"
	 title = "Student Name#>, <#Sex#>, <#Bdate#>, <#HealthID#>, <#Relation1#>, <#Parent 1#>, <#Relation2#>, <#Parent 2#>, <#Ethnic Category#>, <#Provincial Student Number#>
<#Sort by#> <#Grade#>, <#Homeroom#>, <#Lastname#>, <#Firstname#>"></form>
<br>

<form action="/cgi-bin/export/expaddress.pl" method="post" style="display:inline;">
  <input type="submit" value="<#Export Address Labels#>"
	 title="<#Student Name#>, <#Address#>, <#city#>, <#postal code#>
<#Sort by#> <#Grade#>, <#Homeroom#>, <#Lastname#>, <#Firstname#>"></form>


<form action="/cgi-bin/export/expphoto.pl" method="post" style="display:inline;">
  <input type="submit" value="<#Export Photo Data#>"
	 title="<#Student Number#>, <#Student Name#>, <#Grade#>, <#Homeroom#>
<#Sort by#> <#Grade#>, <#Homeroom#>, <#Lastname#>, <#Firstname#>"></form>

<form action="/cgi-bin/export/expstaff.pl" method="post" style="display:inline;">
  <input type="submit" value="<#Export Staff Data#>"
	 title="<#Sort by#> <#Lastname#>, <#Firstname#>"></form>
<!--
<form action="/cgi-bin/export/explibdestiny.pl" method="post" style="display:inline;">
<input type="submit" value="<#Export Destiny Library Patrons#>"></form>
-->

</div>


<h2><#Import#></h2>

<div class="fmt">
<form action="/cgi-bin/export/importCSV.pl" method="post" style="display:inline;">
<input type="submit" value="<#Import#> <#Student Records#> &mdash; <#CSV#>"></form>

<form action="/cgi-bin/export/importstaff.pl" method="post" style="display:inline;">
<input type="submit" value="<#Import Staff#> &mdash; <#CSV#>"></form>
</div>


<h2><#Backup School Database#></h2>

<div class="fmt">
<form action ="/cgi-bin/export/backupall.pl" method="post" style="padding:0.5em">
<input type="submit" value="<#Backup School Database to Zip File#>"></form>
</div>




</td></tr></table>  <!-- End of Export Section  -->

<!-- 
<div class="sds"> 
<h2>Saskatchewan Education Transfers</h2>

<table cellspacing="0" cellpadding="4" border="0" width="100%">
<tr><td style="width:40ch;" valign="top">

<div style="background-color:#EEF; border:1px solid gray;padding:0.5em;">

<div style="margin:0.2em; line-height:160%;">
<a href="https://www.k12.gov.sk.ca/sdsprod/index.jsp"
class="button" style="background-color:#6A6;" target="_blank">SDS Web
Site</a> - Run this <b>in another window</b> or tab to copy provincial
numbers, names, run reports, etc. on the SDS side.</div>

<form action="/cgi-bin/sasked/qryschident.pl" method="post"> <input
type="submit" value="Get Student Numbers">&nbsp; This function will
search through students with missing provincial student numbers and
try to enrol them with Sask Ed (and get a provincial number). This is
the <b>first step</b> in resolving SDS issues. If this fails, use the
SDS website to get the provincial number and enter this information
into his/her student record.</form>

<form action="/cgi-bin/sasked/syncenrol.pl" method="post">
<input type="submit" value="Sync Student Enrollment">&nbsp;
This function will compare the students enrolled with Sask Ed to
local enrollments and withdraw / enrol them to make both the same.
It will use info from transfer records (enrol/withdraw).
</form>

<form action="/cgi-bin/sasked/checkdemog.pl" method="post">
<input type="submit" value="Check Student Demographics">
This function will check the local data for common errors. 
Do this before using the button below.
</form>

<form action="/cgi-bin/sasked/updatedemog.pl" method="post">
<input type="submit" value="Update Student Demographics">&nbsp;
This function will update Sask Ed from the local student data.
It should be run every week.</form>

<form action="/cgi-bin/sasked/activate.pl" method="post">
<input type="submit" value="Activate Students">&nbsp;
Click this if you have an Active Student Enrollment (SDS Site) that
has less than your full student enrollment.
</form>

<form action="/cgi-bin/sasked/getStudentEnrollmentHistory.pl" method="post">
<input type="submit" value="Student Enrollment History">&nbsp;
get Students' School Enrollment History from Sask Ed SDS
</form>


</div>

</td><td style="width:40ch;" valign="top">

<div class="highschool" style="background-color:#EEF;border:1px solid
gray;padding:0.5em;">

<div style="padding:0.4em;font-size:130%;font-weight:bold;">High School</div>

<form action="/cgi-bin/sasked/synccourses.pl" method="post" style="display:inline;">
<input type="submit" value="Synchronize Course Enrollments"></form>&nbsp;
This button will update Sask Ed with any class enrollments
stored locally. It will query Sask Ed, compare the results to local records
and then send updates to synchronize with local student data.<br>

<form action="/cgi-bin/sasked/qryschcourses.pl" method="post" style="display:inline;">
<input type="submit" value="Query Course Enrollments"></form>&nbsp;
This button will query Sask Ed for course enrollment
information and compare it with local course enrollment information.<br>

<form action="/cgi-bin/sasked/sendmarks.pl" method="post" style="display:inline;">
<input type="submit" value="Student Mark Submission"></form>&nbsp;
This button will update Sask Ed with marks for students
previously registered in those courses.<br>

<form action="/cgi-bin/sasked/checkcurrmarks_local.pl" method="post" style="display:inline;">
<input type="submit" value="Check Submitted Marks"></form>&nbsp;
This button will check the Sask Ed completed courses mark for students against their local
open admin marks. <br>

</div>

</td></tr></table>
</div>
-->

</body></html>


